Subject: Linux-Misc Digest #812
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Sat, 24 Sep 94 04:13:30 EDT

Linux-Misc Digest #812, Volume #2                Sat, 24 Sep 94 04:13:30 EDT

Contents:
  >>> BIG DISK DRIVES <<< (Jag)
  Re: 486 Blue Lightning -75 and linux? (Mark Hahn)
  ftape works!! (Dan Saunders)
  Re: Is SCSI CD-ROM worth the money ? (Eberhard Moenkeberg)
  Re: 56.6 Kb simulated with 2 28.8Kb modems. Is it possible? (matt kracht)
  Re: 80-bit floats with f2c and linux (Marty Cohen)
  Linux and enhanced IDE harddisks. (Maurice Blok)
  Re: Word Processor for Linux? (David Barth)
  Re: Is Linux faster than Os/2? Please help. (Tom Barringer)
  Re: Q: Reading from a ext2fs partition from DOS? (Robin D. Wilson)
  Fragmentation (was Re: ext2 QUESTIONS (Unix answers)) (Dan Newcombe)
  Re: PPP/IP Forwarding Problem - RESOLVED! ([email-masked])
  Re: driver for NE3200 (EtherExpress 32 EISA)? (Donald Becker)
  Re: "voice+data" without special hardware (Wolfgang Jung)
  Re: Administration Shells ------------ 2nd Request!!!! (Martin Sohnius)

----------------------------------------------------------------------------

From: [email-masked] (Jag)
Subject: >>> BIG DISK DRIVES <<<
Date: Thu, 22 Sep 1994 22:43:13 +0000

Hi,

I am thinking of purchasing a 9GB seagate drive (Elite 9) for use with
Linux.

Does anyone know if this would cause a problem?

Anyone out there using big drives with Linux and regretting it?

All answers would be greatly appreciated.

Jag

[email-masked]

------------------------------

From: [email-masked] (Mark Hahn)
Subject: Re: 486 Blue Lightning -75 and linux?
Date: 20 Sep 1994 21:33:36 GMT

> Yes, I am running Linux (v 1.0.9?) on a 75MHz Blue Lightning
> motherboard and it works fine.  I get something like 21.5 BogoMips.
> My machine had a 20Mhz 386 (<4 BogoMips) before I upgraded so it seems
> damn fast to me.  For the price, around $330, it's hard to beat.

um, not really, since most 486dx2/66 motherboards are in to $2-300 range,
and 32 bogomips is more typical of them.

regards, mark hahn.
--
operator may differ from spokesperson.          [email-masked]

------------------------------

From: [email-masked] (Dan Saunders)
Subject: ftape works!!
Date: 23 Sep 1994 15:00:56 GMT

I finally have ftape working reliably with my colorado 250!  Since I 
started using the newer kernels, I have had a problem with it getting 
stuck in a loop whenever it found an error on the tape. :< I am using the 
latest ftape, ftape-1.13b, and I have used every kernel to try to get it 
to work.  It would write fine, but when I would read it back to verify 
it, about 100 megs into it, it would get an error and back up and read 
again.  It would just keep doing this untill I killed the process.  I 
knew it was not the tape or drive, because it workes fine under dos.  

To get it to work, all I had to do was increase the buffers in the kernel 
to 10.  It takes a little bit of memory ( I only have 8 megs ), but it 
works.  I have created a 240 meg (two tapes) backup of compressed data, 
verified it and repeated this several time.  I have not had it loop 
once.  I also upgraded to 1.1.51 at the same time, but I don't think that 
did anything for my problem.

I am posting this, because I have heard of other people having the same 
problem.  I hope that this trick will help some other sould out there... 

--
===========================================================================
*  Dan Saunders        |  What the heck I'll just leave this blank        *
*  University of       |                                                  *
*  Idaho, Moscow       |                                                  *
*  [email-masked] |                                                  *
===========================================================================

------------------------------

Date: Mon, 19 Sep 1994 21:37:08 +0200
From: [email-masked] (Eberhard Moenkeberg)
Subject: Re: Is SCSI CD-ROM worth the money ?

Hello hkennedy and all others,

on 14.09.94 hkennedy wrote to All in USENET.COMP.OS.LINUX.MISC:

>>> I am soon to purchase a system to run Linux. It will have a SCSI hard
>>> disk.  It will also have a double speed CD-ROM drive.  Should I shell
>>> out the extra $50-$100 to get a SCSI CD-ROM, as distinct from a
>>> non-SCSI ?
>>
>> Yep.
>>
h>
h> Yes seconded especially if you have more than one computer.

Seconded, too, especially if you have no use for PhotoCDs. ;-)

Greetings ... Eberhard

------------------------------

From: [email-masked] (matt kracht)
Subject: Re: 56.6 Kb simulated with 2 28.8Kb modems. Is it possible?
Date: 23 Sep 1994 18:22:43 GMT

Juana Moreno ([email-masked]) wrote:
: I just had this idea. There must be a way to simulate a 56.6 Kb connection
: without the need unconventional equipment (from the home user point of view,
: I mean). May be with just 2 28.8 modems connected to 2 regular phone lines and
: some smart low level packet routing ( choosing for a packet the least busy 
: line) it has to be possible.

    My roommate and I both have 14.4K v.32bis modems.  To speed up
file transfers, we both log on to our host and download files.  It's
crude, but it's effective.  Anybody can do the same.  Just install
a dual port serial card, two external modems, and two phone lines.

------------------------------

From: [email-masked] (Marty Cohen)
Crossposted-To: comp.lang.fortran
Subject: Re: 80-bit floats with f2c and linux
Date: 23 Sep 94 11:59:43 GMT

In article <[email-masked]> [email-masked] (Trent Piepho) writes:
[Quotations skipped]
>What if my program doesn't use any REALs or complex numbers?  It has integers
>of course, and I can't make them 40-bit.

Wouldn't using 64-bit REAL numbers provide exact integers of at least
40 bit size?
If so, you wouldn't need any software conversion routines.
-- 
Marty Cohen, AMSAA-LAD [email-masked] Custom House Rm 800,
Phila. PA 19106-2976 (215)597-8377 Fax (215)597-2240

------------------------------

Crossposted-To: comp.os.linux.help
From: [email-masked] (Maurice Blok)
Subject: Linux and enhanced IDE harddisks.
Date: Sat, 24 Sep 1994 05:01:47 GMT

I'm trying to install Linux on my new PC. But somehow Linux has a problem
with the LBA translation I need to access my Harddisk (>>1024 cyl).
My 2nd linux HD thus also uses the LBA setting and has the same problem.
Linux just ignores both hd's. Any ideas on how to get things up and running?

Please reply by email.

Later
Maurice

------------------------------

From: [email-masked] (David Barth)
Subject: Re: Word Processor for Linux?
Date: 23 Sep 1994 12:41:13 +0200

Remco Treffkorn ([email-masked]) wrote:
: I just bought WORDPERFECT 6.0a for windows for $87 (competitive upgrade) and
...
: I have not yet received my copy, but if anybody wants to know, I will
: report... 
: -- 

Please do ! Tell us about printing too.
-- 
D.Barth ([email-masked])         "Linux, the choice of a GNU generation"

------------------------------

From: [email-masked] (Tom Barringer)
Subject: Re: Is Linux faster than Os/2? Please help.
Date: 21 Sep 1994 15:29:56 GMT
Reply-To: [email-masked]

In article <[email-masked]>, [email-masked] (Yasuo Ohgaki) writes:
|> : : 12Mb is more than enough for Linux anyway.
|> 
|> : I'm wondering. If I'm running X (fvwm), Emacs with auctex, and  Latex, 
|> : compiling a large document, top says that 8meg ram and 4 (of 12) meg swap is
|> : used. It is not possible to use Xfig at the same time in a reasonable way. 
|> 
|> : Have I configured something wrong? 
|> 
|> No. 12MB is not enough if you memory intensive task like you do.
|> I think more RAM is better. I have 20MB RAM and I want to upgrade
|> to 32MB...

The X documentation recommends a minimum of 16Mb memory (combination of
RAM plus swap space) to run well.  I understand that Emacs is also a
memory hog, and I expect that LaTeX is similar, so you probably want to
bump that up significantly.

--
Tom Barringer      : Progress Software Corp.   : The Tall Conspiracy is looking
QA Development     : 14 Oak Park               : for members.  Please see the
[email-masked]  : Bedford, MA  01730        : recruitment flyer posted on
GEnie: T.Barringer : #include <std/disclaim.i> : the top of your refrigerator.
HREF="ftp://ftp.progress.com/tomb/tomb.html"

------------------------------

From: [email-masked] (Robin D. Wilson)
Subject: Re: Q: Reading from a ext2fs partition from DOS?
Date: 22 Sep 1994 21:05:44 GMT
Reply-To: [email-masked]

In article <[email-masked]> [email-masked] (Steve  
DuChene) writes:
(...stuff about how nice it would be to access ext2 filesystems from  
DOS/Windows deleted...)

:       Yes, but once a program exists like this someone could walk into 
:       a open (as in freely accessible) networked lab and install your 
:       ext2-access utility on a DOS workstation and potentially access
:       any Linux workstation on the net as root. This is the security
:       hole that we are working to avoid. So something that starts out 
:       being a program written for someone's convenience (like you 
:       describe above) could be a Internet hacker's dream.

Uhmmm...  I hate to burst your bubble, but simply "not developing" this tool  
doesn't miraculously make the system safe.  If I have unattended HARDWARE  
access to the system, I can probably boot any OS I want.  I can also access  
ANY disk on the system.  So the system is INHERENTLY insecure.  A much better  
security precaution is to not put any files on the system that you don't want  
damaged/stolen/viewed/etc.

Besides, if someone is _truly_ devious, _THEY_ will develop the tool  
themselves.  I say we should develop a tool that requires a password to  
access the Linux filesystems.  Certainly no more secure than the current  
system, but it will make some people feel better about themselves (and it  
could keep my 4yo kid from trashing my Linux fs...) 

--
=============================================================================
***  These are my opinions... Mine! All Mine! Minemineminemineminemine!   ***
=============================================================================
Robin D. Wilson               [email-masked]                Pencom Software
701 Canyon Bend Dr.                                 9050 Capital of Texas Hwy
Pflugerville, TX  78660                                     Austin, TX  78759

------------------------------

From: [email-masked] (Dan Newcombe)
Subject: Fragmentation (was Re: ext2 QUESTIONS (Unix answers))
Date: Thu, 22 Sep 1994 17:14:13 UNDEFINED

In article <[email-masked]> [email-masked] (Marc Fraioli) writes:
>Didn't the BSD fast filesystem suffer pretty dramatic performance 
>degradation if this was set to 0?  I believe that keeping a certain
>amount of space free allows it to better resist fragmentation, 
>keeping it quick.  Don't know if this applies to ext2 as well, but
>it might.  Of course, the reason you give is plenty valid too.

Pardon my ignorance...

        A bit ago I went to a class at Hewlett-Packard and the instructor said that 
on Unix fragmentation was actually a benefit, or not as much of a deterrent as 
on DOS.  The reason was since you have a multi-user system that will probably 
be accessing all sorts of files all over the place, the fragmentation helps 
out.

anyone?

        -Dan

--
Dan Newcombe                    [email-masked]
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
"And the man in the mirror has sad eyes."       -Marillion

------------------------------

From: [email-masked]
Crossposted-To: comp.os.linux.development,comp.os.linux.admin,alt.uu.comp.os.linux.questions
Subject: Re: PPP/IP Forwarding Problem - RESOLVED!
Date: Thu, 22 Sep 94 23:35:22 PDT

In article <[email-masked]>, [email-masked] 
writes:
> 
> > Network Architecture:
> > 
> >     =============================================== (local Ethernet)
> >             |                       |
> >     +--------------+        +--------------+
> >     | 486dx2/66 PC |        | 486dx33 Linux|
> >     | Win/Chameleon|        | V1.1.49 PPP  |
> >     | 199.1.142.2  |        | 199.1.142.254|
> >     +--------------+        +--------------+
> >                                     |
> >                             +--------------+
> >                             | 14.4K modem  |
> >                             +--------------+
> >                                     |
> >                             +--------------+
> >                             | Term Server  |
> >                             | 199.1.11.4   |
> >                             +--------------+
> > 
> > Symptoms:
> >     After booting Linux, my Windows box can access Linux w/o problems
> >     Confirmed that CONFIG_IP_FORWARDING is defined in kernel
> >     After starting PPP
> >             routing tables are updated, default route = term server
> >             Linux can access the net w/o problems using the default route
> >             Internet hosts can access Linux w/o problems
> >     However, neither local or internet hosts can access a machine on the
> >             far side of the Linux box being used as a router.
> >     I can see the incomming packets being counted in /proc/net/dev, but I 
> >             never see packets being sent out the other interface.
> 
IT IS ALL MY FAULT - DON'T BLAME LINUX!

Confessions of Network Administator:

I did 3 things wrong that caused all my problems with PPP and IP Forwarding:

1. DNS/BIND mismatch between my primary server, and my providers server
        My Internet Provider runs a secondary name server for my domain, and I 
made changes to my primary DNS tables (including re-assigning the IP of my DOS 
box)... BUT I FORGOT TO CHANGE THE SERIAL NUMBER IN THE DNS TABLES. The serial 
number is how secondary servers determine that DNS needs to update... So the 
two servers had different IP addresses for the same host name... OOOPPPS!

2. DOS TCPIP Routing MisConfiguration
        Netmanage Chameleon has two separate configurations for routing... the 
Default Route, and a Routing Table... I had set up an entry in the routing 
table for my Net Provider that pointed to a router that was available on the 
old network that I was connected to.. and that entry over-rode the Default 
Route that pointed to the correct router (took me 4 days to find that one) 

3. Gratituously updating Linux versions 
        My initial response to this problem was to blame Linux 1.0 and to 
attempt to install a later rev of the system (1.1.49 to be exact). This 
ofcourse created all sorts of additional problems requiring the installation of 
updated applications and utilities, which I thouroughly botched in my haste to 
get the system working as a router.... Since I found the other problems, and 
did a complete re-install of 1.0.... everything has worked fine...

Advice to the Wannabe Network Administrator:

        Erasing and application and doing a clean install may not be a bad 
idea. All of the configuration may look right.. but some leftover trash may be 
spoiling your whole day.

Request to the Linux Developers:

        I had a *ell of a time figuring out what patches and utilities went 
together to make a fully updated version of the system... Grouping the Patch 
files with the utilities required to accomodate the update would really help.

        Other than that... KUDOS TO YOU ALL... Linux is the best system I've 
worked with since I started working with MicroPort and Venix 6 years ago.. It 
certainly beats even the latest release of UnixWare in terms of ease of 
installation and loads of applications and utilities right outa the box...

        Before I shoot myself in the foot again.....

                John Barrett
                <[email-masked]>
                <[email-masked]>

------------------------------

From: [email-masked] (Donald Becker)
Crossposted-To: comp.os.linux.development,comp.os.linux.help,comp.os.linux.admin,de.comp.os.linux
Subject: Re: driver for NE3200 (EtherExpress 32 EISA)?
Date: 22 Sep 1994 17:06:28 -0400

In article <[email-masked]>,
Stefan (SAM) Muenzel <[email-masked]> wrote:
>I have the following problem:
>my current employer has an EISA-machine with an (for me) unknown
>ethernet-card. It's a 
>       Intel EtherExpress 32Bit ( NE3200 ) / EISA
>I'm not sure this is the correct name, but i hope some guru on
>the net will recognize it.
>
>I looked through the kernel-sources (1.1.50), but couldn't find a
>driver for this card (or is it the ac3200 in drivers/net?).

The AC3200 driver is for the Ansel Communications EISA ethercard based on a
shared memory 8390.  

It's unrelated to the NE3200, which will probably never have a Linux driver.

Both are unrelated to the Intel EtherExpress32.  I don't have any
documentation on the EE32 (or an EISA machine to develop a driver on), but
Intel might release it if you ask them.

-- 
Donald Becker                                     [email-masked]
USRA-CESDIS, Center of Excellence in Space Data and Information Sciences.
Code 930.5, Goddard Space Flight Center,  Greenbelt, MD.  20771
301-286-0882         http://cesdis.gsfc.nasa.gov/pub/people/becker/whoiam.html

------------------------------

From: [email-masked] (Wolfgang Jung)
Subject: Re: "voice+data" without special hardware
Date: 23 Sep 1994 14:40:22 +0200

Use mgetty+sendfax (on a server near you :-) ) V 0.21 includes
Voicesupport for the ZyXel 1496 Series Modems (work is done for other
Modems with voice support..

-- 
===============================================================================
| Gruss                 |ISO-8859-1 Mail: [email-masked]              |
|       Wolfgang        |                 [email-masked]               |
|       Jung            |                 [email-masked]                |
|                       |             [email-masked]       |
===============================================================================

------------------------------

Crossposted-To: comp.unix.unixware
From: [email-masked] (Martin Sohnius)
Subject: Re: Administration Shells ------------ 2nd Request!!!!
Date: Wed, 21 Sep 1994 15:10:32 GMT

Patrick Draper ([email-masked]) wrote:

: I am interested in knowing what administration shells exist for Linux.
: I've asked this question before, but received nearly no response at all.
: I am interested only in distribution quality shells that exist on FTP
: sites for general use.

: Please!!! This is important!!! Please write to me if you know of any that
: exist.

And I think I answered before that crossposting this to comp.unix.unixware
won't generate many extra answers.  Just a waste of bandwidth.

--
                        +--------------------------------------------+
Martin Sohnius          | "It doesn't matter whether the cat is      |
Novell Labs Europe      |  black or white, as long as it catches     |
Bracknell, England      |  mice."      - Deng Xiaoping               |
+44-1344-724031          +--------------------------------------------+
                        (I speak for myself, not for Novell or anyone else.)

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.misc) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Misc Digest
******************************